#version 330

uniform sampler2D colorTexture;
uniform float brightPassThreshold = 0.5;
noperspective in vec2 fUVs;
out vec4 fragColor;
void main()
{
	vec3 luminanceVector = vec3(0.2125, 0.7154, 0.0721); 
	vec4 sample = texture2D(colorTexture, fUVs.st);
	float luminance = dot(luminanceVector, sample.rgb);
	luminance = max(0.0, luminance - brightPassThreshold);
	sample.rgb *= sign(luminance);
	sample.a = 1.0;
	fragColor = sample;
}
 
